/*
* PROJECT: Happy New Year
* VERSION: 1.0
* AUTHOR: Mattias Thell
* URL: http://www.mattiasthell.com
*
* */

#pragma once
#include "Actor.hpp"

#include <hgeparticle.h>
#include <boost/shared_ptr.hpp>

namespace hny {

	typedef boost::shared_ptr<hgeParticleSystem> ParticlePtr;

	class Rocket :
		public Actor
	{
	public:
		Rocket(World* world, const hgeVector& position, const hgeVector& velocity, int score, const hgeParticleSystemInfo& info);
		virtual ~Rocket();

		virtual void Update(float dt);
		virtual void Draw();

		void StartDying();

		int GetScore();

	private:
		ParticlePtr mParticleSystem;

		int mScore;

		bool mHasFiredOnDeath;

		
	};
}
